package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.CityObject;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllTerrainNode extends Renderable {
	
	private List<CityObject> land;
	
	public AllTerrainNode(List<CityObject> land) {
		this.land = land;
	}

	@Override
	public void refreshTextColor() {
		// no use
	}

	@Override
	public String getText() {
		return "Terrain";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.renderTerrain(land);
	}

}
